import os

BASE_DIR = os.path.dirname(os.path.abspath(__file__))
#######################################################################
# Configuration of your django application
#######################################################################
#
# PyGal Setting
#
# The root for searching for items
ITEM_ROOT = os.path.join(BASE_DIR, 'data', 'example_data')
# Set this to True to ensure, that unauthenticated users have no permission (With False they get permiisions to the
# structure. You can set public in the item (folde) to make the items visible)
#SUSPEND_PUBLIC = False

# THUMBNAIL_SIZES = [137, 175, 250]
# WEBNAIL_SIZES = [450, 1100, 1750]
# SORT_BY_DATE = True       # Sorting by name if False
# SHOW_IMAGE = True
# SHOW_VIDEO = True
# SHOW_AUDIO = False
# SHOW_OTHER = False

# Access Right settings


#
# Users library
#
# This enables or disables the self registration
USERS_SELF_REGISTRATION = False

#
# Themes library
#
# This defines the default theme, if no theme is set in the django parameters
DEFAULT_THEME = 'clear-red'

#
# Django
#
# This defines the mode of the running server
# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

# This a the secret key for your application.
# SECURITY WARNING: don't run with a dummy secret in production! And don't let others read this key!
SECRET_KEY = None

# This defines the listener hostnames for your django server
# SECURITY WARNING: don't run with '0.0.0.0' in in production, unless you know what you are doing!
# ALLOWED_HOSTS = ['<YOUR_SERVER_HOSTNAME>', ]

# This might be needed for usage in a docker environment
# CSRF_TRUSTED_ORIGINS = ['<YOUR_SERVER_URL>', ]
